/************************************************
*
*  CROSSCONTROL AUX API
*
*  CCAuxErrors.h
*
*  Version 2.7.2.0, 2014-08-25
*
*  (c) maximatecc 2013
*
*  File description: CCAux Error handling
*
************************************************/

#ifndef CCAUXERROR_H_
#define CCAUXERROR_H_

#include "CCPlatform.h"
#include "CCAuxTypes.h"

#ifdef __cplusplus
namespace CrossControl
{
#endif

  /*! to get a string description.
  *
  * Get a string description of an error code.
  *
  * Supported Platform(s): XL, XM, XS, XA
  *
  * @param errCode An error code for which to get a string description.
  *
  * @return String description of an error code.
  */
  EXTERN_C
    CCAUXDLL_API
    char const*
    CCAUXDLL_CALLING_CONV
    GetErrorStringA(eErr errCode);

  /*!
  * Get a string description of an error code.
  *
  * Supported Platform(s): XL, XM, XS, XA
  *
  * @param errCode An error code for which
  * @return String description of an error code.
  */
  EXTERN_C
    CCAUXDLL_API
    wchar_t const*
    CCAUXDLL_CALLING_CONV
    GetErrorStringW(eErr errCode);


#ifdef __cplusplus
}
#endif

#endif /* CCAUXERROR_H_ */

