/************************************************
*
*  CROSSCONTROL AUX API
*
*  CCPlatform.h
*
*  Version 2.7.2.0, 2014-08-25
*
*  (c) maximatecc 2013
*
*  File description:
*  Platform dependent defines
*
************************************************/

#ifndef PLATFORM__H
#define PLATFORM__H

//*****************************************************************************
// CALLING CONVENTION DEFINES
//*****************************************************************************
#ifdef __cplusplus
# define EXTERN_C extern "C"
#else
# define EXTERN_C
#endif

#ifdef LINUX // Calling conventions
# define CCAUXDLL_API EXTERN_C
# define CCAUXDLL_CALLING_CONV
#else
# define CCAUXDLL_CALLING_CONV __stdcall
# if defined(CCAUXDLL_EXPORTS)
   #define CCAUXDLL_API EXTERN_C
# else
#  define CCAUXDLL_API __declspec(dllimport)
# endif
#endif

#ifdef LINUX //Macros specifying ordinals for Win32
#define EXPORT_ORDINAL(ordinal) 
#define EXPORT_ORDINAL_FUNCD(ordinal) 
#else 
#define EXPORT_ORDINAL(ordinal) comment(linker, "/EXPORT:"__FUNCTION__"="__FUNCDNAME__",@"#ordinal)
#define EXPORT_ORDINAL_FUNCD(ordinal) comment(linker, "/EXPORT:"__FUNCDNAME__",@"#ordinal)
#endif

//*****************************************************************************
// CHARACTER TYPE
//*****************************************************************************
#ifdef LINUX // string types
# include <wchar.h>
# if defined(_UNICODE) || defined(UNICODE)
#  define LPCTSTR whcar_t const *
#  define TCHAR wchar_t
#  define _T(x) L ## x
# else
#  define LPCTSTR char const *
#  define TCHAR char
#  define _T(x) x
# endif
#else
# include <wchar.h>
#endif


#endif /* PLATFORM__H */

